Page MenuHomePhabricator

[Mips][Disassembler][R6] Disassembler crashes on load/store from coprocessor 2 instructions for r6
ClosedPublic

Authored by vmedic on Dec 31 2014, 1:45 AM.

Details

Summary

When disassembler meets load/store from coprocessor 2 instructions for r6 it crashes as the access to operands array is out of range. This patch adds dedicated decoder method that properly handles decoding of these instructions.

Diff Detail

Event Timeline

vmedic updated this revision to Diff 17742.Dec 31 2014, 1:45 AM
vmedic retitled this revision from to [Mips][Disassembler][R6] Disassembler crashes on load/store from coprocessor 2 instructions for r6.
vmedic updated this object.
vmedic edited the test plan for this revision. (Show Details)
vmedic added reviewers: dsanders, sstankovic.
vmedic added a subscriber: Unknown Object (MLST).
dsanders accepted this revision.Jan 13 2015, 5:30 AM
dsanders edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jan 13 2015, 5:30 AM
vmedic closed this revision.Jan 21 2015, 2:49 AM

Committed revision 226652.